<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>RockPaperScissor.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.models</a> &gt; <span class="el_source">RockPaperScissor.java</span></div><h1>RockPaperScissor.java</h1><pre class="source lang-java linenums">package dev.team3.models;

import java.util.Arrays;
import java.util.Objects;

public class RockPaperScissor {
<span class="pc" id="L7">    private final String[] hands = {&quot;Rock&quot;,&quot;Paper&quot;,&quot;Scissors&quot;};</span>

    private String hand;
    private String weakness;
    private String effective;

<span class="nc" id="L13">    public RockPaperScissor() {</span>
<span class="nc" id="L14">    }</span>

<span class="fc" id="L16">    public RockPaperScissor(int hand) {</span>
<span class="fc" id="L17">        this.hand = hands[hand];</span>
<span class="fc" id="L18">        setWeakness(hand);</span>
<span class="fc" id="L19">        setEffective(hand);</span>
<span class="fc" id="L20">    }</span>

<span class="nc" id="L22">    public RockPaperScissor(String hand) {</span>
<span class="nc" id="L23">        this.hand = hand;</span>
        
<span class="nc" id="L25">    }</span>

    public String getHand() {
<span class="fc" id="L28">        return hand;</span>
    }

    public void setHand(int hand) {
<span class="nc" id="L32">        this.hand = hands[hand];</span>
<span class="nc" id="L33">    }</span>

    public String getWeakness() {
<span class="fc" id="L36">        return weakness;</span>
    }

    public String getEffective() {
<span class="fc" id="L40">        return effective;</span>
    }

    public void setWeakness(int hand) {

<span class="fc" id="L45">        this.weakness = hands[(hand + 1) % hands.length];</span>
<span class="fc" id="L46">    }</span>

    public void setEffective(int hand) {
<span class="fc" id="L49">        this.effective = hands[(hand - 1 + hands.length) % hands.length];</span>
<span class="fc" id="L50">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="nc bnc" id="L54" title="All 2 branches missed.">        if (this == o) return true;</span>
<span class="nc bnc" id="L55" title="All 4 branches missed.">        if (o == null || getClass() != o.getClass()) return false;</span>
<span class="nc" id="L56">        RockPaperScissor that = (RockPaperScissor) o;</span>
<span class="nc bnc" id="L57" title="All 8 branches missed.">        return Arrays.equals(hands, that.hands) &amp;&amp; Objects.equals(hand, that.hand) &amp;&amp; Objects.equals(weakness, that.weakness) &amp;&amp; Objects.equals(effective, that.effective);</span>
    }

    @Override
    public int hashCode() {
<span class="nc" id="L62">        int result = Objects.hash(hand, weakness, effective);</span>
<span class="nc" id="L63">        result = 31 * result + Arrays.hashCode(hands);</span>
<span class="nc" id="L64">        return result;</span>
    }

    @Override
    public String toString() {
<span class="nc" id="L69">        return &quot;RockPaperScissor{&quot; +</span>
                &quot;, hand='&quot; + hand + '\'' +
                &quot;, weakness='&quot; + weakness + '\'' +
                &quot;, effective='&quot; + effective + '\'' +
                '}';
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>